D_INSTANTIATE_UNIQ(9)

NAME
d_instantiate_unique - instantiate a non-aliased dentry

SYNOPSIS

struct dentry * d_instantiate_unique (struct dentry * entry, struct inode * inode);

ARGUMENTS

entry
    dentry to instantiate

inode
    inode to attach to this dentry

DESCRIPTION

Fill in inode information in the entry. On success, it returns NULL. If an unhashed alias of ``entry'' already exists, then we return the aliased dentry instead and drop one reference to inode.

Note that in order to avoid conflicts with rename etc, the caller had better be holding the parent directory semaphore.

This also assumes that the inode count has been incremented (or otherwise set) by the caller to indicate that it is now in use by the dcache.